#include "someclass.h"

SomeClass::SomeClass()
	: timer(new QTimer)
	, counter(0)
{
	timer->setSingleShot(false);
	timer->start(1000);

	connect(timer, SIGNAL(timeout()), SLOT(timeout()));
}

void SomeClass::timeout()
{
	if(++counter > 10)
		timer->stop();

	qDebug() << Q_FUNC_INFO;
}